## bogoseek-0.6.10.tar.gz

=== Makefile ===
VERSION=0.6.10
CFLAGS=-O2 -Wall -Wextra -g -flto
LDFLAGS=-O2 -Wall -g -flto
LIBS=-lm -lrt -lpthread

prefix = /usr
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
man1dir = ${exec_prefix}/share/man/man1

OUTPUTS=hist bogoseek maxiops bogodisk bogodisk.1.gz bogoseek.1.gz maxiops.1.gz hist.1.gz

all: $(OUTPUTS)

hist: hist.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS)

maxiops: maxiops.o util.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS) -laio

bogoseek: bogoseek.o util.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS)

bogodisk: bogodisk.o util.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS)

bogodisk.c: bogodisk.h util.h

bogodisk.h: ver.h

bogoseek.c: bogodisk.h util.h

maxiops.c: bogodisk.h util.h

util.c: util.h

ver.h: Makefile
	echo '#define PACKAGE_VERSION		"$(VERSION)"' > ver.h

distclean: clean

clean:;
	rm -rf $(OUTPUTS) *.o

%.1.gz: %.1
	gzip -9 < $< > $@

install: all
	mkdir -p $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(man1dir)
	install bogoseek $(DESTDIR)$(bindir)
	install hist $(DESTDIR)$(bindir)
	install maxiops $(DESTDIR)$(bindir)
	install bogodisk $(DESTDIR)$(bindir)
	install bogodisk.1.gz $(DESTDIR)$(man1dir)
	install bogoseek.1.gz $(DESTDIR)$(man1dir)
	install maxiops.1.gz $(DESTDIR)$(man1dir)
	install hist.1.gz $(DESTDIR)$(man1dir)

dist:
	@if test "`git describe`" != "$(VERSION)" ; then \
		echo 'Update VERSION in the Makefile/ver.h before running "make dist".' ; \
		exit 1 ; \
	fi
	git archive --format=tar --prefix=bogoseek-$(VERSION)/ HEAD^{tree} | gzip -9 > bogoseek-$(VERSION).tar.gz

=== debian/changelog ===
bogodisk (0.6.10-1) bionic; urgency=high

  * Fix makefile problems.
  * Update copyrights.

 -- Darrick J. Wong <djwong@djwong.org>  Mon, 12 Mar 2018 09:01:00 -0800

bogodisk (0.6.9-1) bionic; urgency=high

  * Fix compiler warnings.
  * Rebuild for Bionic.

 -- Darrick J. Wong <djwong@djwong.org>  Thu,  1 Feb 2018 00:05:00 -0800

bogodisk (0.6.8-1) xenial; urgency=high

  * Increase bogodisk timestamp precision.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 11 Jul 2017 14:23:00 -0700

bogodisk (0.6.7-4) xenial; urgency=high

  * Increase bogoseek timestamp precision.
  * Actually do the above.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 11 Jul 2017 00:19:00 -0700

bogodisk (0.6.6-3) xenial; urgency=high

  * Rebuild for Xenial.
  * Fix potential uninitialized variable error.
  * Fix integer comparison error.
  * Enable LTO.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 15 Mar 2016 15:31:00 -0700

bogodisk (0.6.5-1) trusty; urgency=high

  * Eschew using the RT CPU scheduler for bumping up CPU priority.

 -- Darrick J. Wong <djwong@djwong.org>  Sun, 13 Jul 2014 18:06:00 -0700

bogodisk (0.6.4-1) trusty; urgency=high

  * Rebuild for Trusty.
  * Add manpages.
  * Update debian control files to the modern era.

 -- Darrick J. Wong <djwong@djwong.org>  Thu, 17 Apr 2014 15:10:00 -0700

bogodisk (0.6.3-1) precise; urgency=high

  * Allow user to turn off mlock and setting the io priority.
  * Compress with xz.

 -- Darrick J. Wong <djwong@djwong.org>  Wed, 22 Jan 2014 15:41:00 -0800

bogodisk (0.6.2-1) precise; urgency=high

  * bogoseek: Fix compiler warnings.

 -- Darrick J. Wong <djwong@djwong.org>  Fri,  2 Nov 2012 20:51:00 -0700

bogodisk (0.6.1-1) precise; urgency=high

  * maxiops: Work around a kernel bug with aio.
  * maxiops: Prevent linear mode from seeking past the end.

 -- Darrick J. Wong <djwong@djwong.org>  Fri,  2 Nov 2012 20:30:00 -0700

bogodisk (0.6.0-1) precise; urgency=high

  * Include new program maxiops and pull in bogodisk sources.
  * Rename this package to bogodisk.

 -- Darrick J. Wong <djwong@djwong.org>  Fri,  2 Nov 2012 18:28:00 -0700

bogoseek (0.4.2-3) unstable; urgency=high

  * Rebuild again -- multithread mode was mysteriously broken.

 -- Darrick J. Wong <djwong@djwong.org>  Wed, 10 Oct 2012 11:40:00 -0700

bogoseek (0.4.2-2) unstable; urgency=high

  * Rebuild for Precise.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 10 Apr 2012 00:19:00 -0700

bogoseek (0.4.2-1) unstable; urgency=high

  * Fix getopt on ppc.

 -- Darrick J. Wong <djwong@djwong.org>  Mon, 25 Oct 2010 12:57:00 -0700

bogoseek (0.4.1-1) unstable; urgency=low

  * Minor style fixes.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 29 June 2010 17:37:00 -0700

bogoseek (0.4.0-1) unstable; urgency=low

  * Implement multi-threaded mode to gauge how well the device responds to "server" workloads.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 29 June 2010 16:59:00 -0700

bogoseek (0.3.8-1) unstable; urgency=low

  * Destructive write mode.

 -- Darrick J. Wong <djwong@djwong.org>  Fri, 25 Sep 2009 22:53:00 -0700

bogoseek (0.3.7-1) unstable; urgency=low

  * Fix a bug where a nonzero -b would cause lseek to overflow.

 -- Darrick J. Wong <djwong@djwong.org>  Thu,  5 Mar 2009 16:51:00 -0700

bogoseek (0.3.6-1) unstable; urgency=low

  * Tidy up Makefile (adamg@pld-linux.org)

 -- Darrick J. Wong <djwong@djwong.org>  Mon, 12 Jan 2009 23:58:00 -0700

bogoseek (0.3.5-1) unstable; urgency=low

  * Fix tagging and implement make dist behavior

 -- Darrick J. Wong <djwong@djwong.org>  Sun, 23 Nov 2008 01:56:00 -0700

bogoseek (0.3.4-1) unstable; urgency=low

  * Set io and cpu priority
  * Fix block size detection

 -- Darrick J. Wong <djwong@djwong.org>  Fri, 21 Nov 2008 10:05:04 -0700

bogoseek (0.3.3-1) unstable; urgency=low

  * Fix a bug wherein oldpos was set to the wrong thing.
    Thanks to Frank Yaul

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Fri, 28 Jul 2006 10:05:04 -0700

bogoseek (0.3.2-1) unstable; urgency=low

  * Initial release.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Wed,  7 Jun 2006 19:59:04 -0700

=== debian/control ===
Source: bogodisk
Section: misc
Priority: optional
Maintainer: Darrick J. Wong <djwong@djwong.org>
Build-Depends: libaio-dev, libc6, debhelper (>= 8.0.0)
Standards-Version: 3.9.5
Homepage: https://djwong.org/programs/bogodisk/

Package: bogodisk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: bogoseek
Replaces: bogoseek
Conflicts: bogoseek
Description: Block device benchmarking tools.
 Measures transfer speed, seek time, or max iops of a disk device.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_builddeb:
	dh_builddeb -- -Zxz
